Bug 167442 - devnode_blacklist regex for IDE drives is wrong in supplied multipath.conf
devnode_blacklist regex for IDE drives is wrong in supplied multipath.conf
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Marzinski
Depends On:
  Show dependency treegraph
Reported: 2005-09-02 13:40 EDT by Stoo Davies
Modified: 2010-01-11 21:21 EST (History)
3 users (show)

See Also:
Fixed In Version: U3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-08 10:46:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stoo Davies 2005-09-02 13:40:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.9) Gecko/20050715 Firefox/1.0.5

Description of problem:
If you're running a server that doesn't have any IDE drives multipath[d] will fail to startup because the regex intended to blacklist those drives is wrong.
The errors messages given will be...
[root@dl380-02 ~]# multipath -v 3
fd0 blacklisted
path hda not found in pathvec
===== path hda =====
bus = 2
dev_t = 3:0
size = 8388604
failed to open /dev/hda
The regex in the supplied config file is....
        devnode "^hd[a-z][[0-9]*]"
I've changed it to
        devnode "^hd[a-z][0-9]*"
which works in our environment.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
On a server with no IDE drives, run multipath -v 3

I was using a HP DL380

Additional info:
Comment 1 Ben Marzinski 2005-10-10 23:52:16 EDT
I changed the multipath.conf blacklist values to match the compiled in values
for the multipath-tools. These are


If you could verify that your problem is fixed with these values, that would be
very helpful.
Comment 2 Stoo Davies 2005-10-11 13:14:43 EDT
Yup that works fine.  Thanks

Note You need to log in before you can comment on or make changes to this bug.